package org.eclipse.jdt.internal.compiler.env;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.Arrays;
import org.eclipse.jdt.core.compiler.CharOperation;

public class ClassSignature {
  char[] className;
  
  public ClassSignature(char[] className) {
    this.className = className;
  }
  
  public char[] getTypeName() {
    return this.className;
  }
  
  public String toString() {
    StringBuffer buffer = new StringBuffer();
    buffer.append(this.className);
    buffer.append(".class");
    return buffer.toString();
  }
  
  public int hashCode() {
    int result = 1;
    result = 31 * result + CharOperation.hashCode(this.className);
    return result;
  }
  
  public boolean equals(Object obj) {
    if (this == obj)
      return true; 
    if (obj == null)
      return false; 
    if (getClass() != obj.getClass())
      return false; 
    org.eclipse.jdt.internal.compiler.env.ClassSignature other = (org.eclipse.jdt.internal.compiler.env.ClassSignature)obj;
    return Arrays.equals(this.className, other.className);
  }
}
